curl -X GET "https://api.affonso.io/v1/program/promotion-urls" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "promotion_url_abc123",
"name": "Main site",
"url": "https://acme.com",
"description": null,
"audience": "all_affiliates",
"group_ids": [],
"product_ids": [],
"is_active": true,
"sort_order": 0,
"is_program_default": true,
"default_for_group_ids": [],
"created_at": "2026-07-28T10:00:00.000Z",
"updated_at": "2026-07-28T10:00:00.000Z"
}
]
}
Promotion URLs
List Promotion URLs
List the landing-page destinations available to your affiliates
GET
/
v1
/
program
/
promotion-urls
curl -X GET "https://api.affonso.io/v1/program/promotion-urls" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "promotion_url_abc123",
"name": "Main site",
"url": "https://acme.com",
"description": null,
"audience": "all_affiliates",
"group_ids": [],
"product_ids": [],
"is_active": true,
"sort_order": 0,
"is_program_default": true,
"default_for_group_ids": [],
"created_at": "2026-07-28T10:00:00.000Z",
"updated_at": "2026-07-28T10:00:00.000Z"
}
]
}
Retrieve promotion URLs for your program. Results are ordered by
sort_order, then creation time.
Response
boolean
Always
true for successful responses.array
Array of promotion URL objects.
Show Promotion URL Properties
Show Promotion URL Properties
string
Unique promotion URL identifier.
string
Display name.
string
HTTP(S) destination URL.
string | null
Optional description.
string
all_affiliates, groups, or products.array
Assigned group IDs.
array
Assigned product IDs.
boolean
Whether affiliates can use this URL.
integer
Display and selection priority; lower values come first.
boolean
Whether this is the global default URL.
array
Group IDs for which this URL is the default override.
string
ISO 8601 creation timestamp.
string
ISO 8601 update timestamp.
curl -X GET "https://api.affonso.io/v1/program/promotion-urls" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "promotion_url_abc123",
"name": "Main site",
"url": "https://acme.com",
"description": null,
"audience": "all_affiliates",
"group_ids": [],
"product_ids": [],
"is_active": true,
"sort_order": 0,
"is_program_default": true,
"default_for_group_ids": [],
"created_at": "2026-07-28T10:00:00.000Z",
"updated_at": "2026-07-28T10:00:00.000Z"
}
]
}
Was this page helpful?
⌘I
